%define name distriblint
%define version 0.1.2
%define release 1mdk

Summary:	Tools to check integrity of rpms repository
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source:		%{name}-%{version}.tar.bz2
URL:        http://youri.zarb.org/
BuildRequires:	perl-devel
BuildRequires:  perl-URPM
BuildRequires:  perl-BerkeleyDB
BuildRoot:	    %{_tmppath}/%{name}-buildroot
BuildArch:      noarch

%description
Some tools to check the integrity of rpms from a repository.
It works from rpms or hdlist, and reports missing or wrong
dependencies, conflicts, and other errors.
It can be used to check rpms from a specific project or the
entire distribution.

Currently only one script is included: distlint.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
make PREFIX=%{_prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc batch_exemple index.html chkupload.main ChangeLog
%doc conf_exemple
%_bindir/distlint
%_bindir/distlintbatch
%_bindir/chkupload
%_bindir/chk_inst_files
#%_bindir/check_menus
%{perl_vendorlib}/*.pm
%dir %{perl_vendorlib}/urpmchecker
%{perl_vendorlib}/urpmchecker/*.pm
%_mandir/*/*.bz2

%changelog
* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.2-1mdk
- 0.1.2 (fix dependencies checking about epoch promotion)

* Mon Feb 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-1mdk
- 0.1.1

* Thu Aug 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.0-1mdk
- 0.1.0
 
* Thu Aug 07 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.0.9-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Fri Jun 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.9-1mdk
- 0.0.9

* Wed May 21 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.8-1mdk
- 0.0.8
- fix titi stuff

* Wed May 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.7-1mdk
- 0.0.7
- Thx to titi for perl_checker fix

* Sun May 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.6-1mdk
- add --reb flag

* Wed Apr 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.5-1mdk
- add --update flag
- add html page (%%doc)
- lot of bug fix (yes, yes)

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.4-1mdk
- 0.0.4 
- batch script for mail, fix bug...

* Fri Apr 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.3-1mdk
- add src vs binary checking
- fix somes bug

* Wed Apr 23 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.2-1mdk
- add arch options (only for binary at time)
- fix obsoletes detection

* Tue Apr 22 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.1-1mdk
- initial version.
